package domain

type AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult struct {
	/*
	   下一页查询的入参，当为-1时表示没有更多数据     */
	NextId *int64 `json:"next_id,omitempty" `

	/*
	   账单列表     */
	DiscountBills *[]AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo `json:"discount_bills,omitempty" `

	/*
	   结果码     */
	ReturnCode *string `json:"return_code,omitempty" `

	/*
	   结果文案     */
	ReturnMsg *string `json:"return_msg,omitempty" `

	/*
	   业务请求成功与否     */
	Success *bool `json:"success,omitempty" `

	/*
	   总数量，只在查询第一页时返回     */
	TotalNumber *int64 `json:"total_number,omitempty" `
}

func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetNextId(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.NextId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetDiscountBills(v []AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.DiscountBills = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetReturnCode(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.ReturnCode = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetReturnMsg(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.ReturnMsg = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetSuccess(v bool) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult) SetTotalNumber(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryResult {
	s.TotalNumber = &v
	return s
}
